# Class NativeExecutableFileSpec

java.lang.Object
org.gradle.nativeplatform.NativeExecutableFileSpec

@Incubating public class NativeExecutableFileSpec extends Object
Specifies how to build and where to place a native executable file.

TODO:HH resolve naming conflict with existing NativeExecutableSpec

## Constructor Summary

Constructors
Constructor
Description
`NativeExecutableFileSpec()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`
`ToolChain`
`getToolChain()`
`void`
`setFile(File file)`
`void`
`setToolChain(ToolChain toolChain)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeExecutableFileSpec

public NativeExecutableFileSpec()

## Method Details

### getFile

public File getFile()

### setFile

public void setFile(File file)

### getToolChain

public ToolChain getToolChain()

### setToolChain

public void setToolChain(ToolChain toolChain)